
%define name	quadkonsole
%define version	2.0.3
%define rel	3

Summary:	QuadKonsole - multiple Konsoles in one window
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
License:	GPLv2+
Group:		Terminals
URL:		http://nomis80.org/
Source:		http://nomis80.org/quadkonsole/quadkonsole-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	kdelibs-devel
Requires:	kdebase3-konsole
# crystalsvg:
Requires:	kdelibs-common

%description
QuadKonsole embeds Konsole kparts in a grid layout. The number of
rows and columns of Konsoles is 2 by 2 by default, but can be
specified on the command-line. The settings of the Konsoles can be
accessed using the right mouse button and can be saved. These
settings apply to the system globally, to all Konsole kparts.
Konsole widgets get focus as soon as the mouse hovers on them (focus
follows mouse). This can be disabled on the command-line. What
else... mmm... Try removing the window border or going full screen
using the window menu (Alt-F3) for even more screen real-estate.
Use CTRL + SHIFT + arrow key to move from konsole to konsole.

%prep
%setup -q

%build
%configure2_5x --with-qt-libraries=%qt3lib --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d -m755 %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/applnk/Utilities/%{name}.desktop %{buildroot}%{_datadir}/applications

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache crystalsvg
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache crystalsvg
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog
%{_bindir}/%{name}
%{_iconsdir}/crystalsvg/*/apps/quadkonsole.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Sat Apr 11 2009 Anssi Hannula <anssi@mandriva.org> 2.0.3-3mdv2009.1
+ Revision: 366414
- requires kdebase3-konsole (fixes #49581)

* Sat Feb 28 2009 Anssi Hannula <anssi@mandriva.org> 2.0.3-2mdv2009.1
+ Revision: 346055
- rebuild for new libx11

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Apr 27 2008 Anssi Hannula <anssi@mandriva.org> 2.0.3-1mdv2009.0
+ Revision: 197811
- new version
- add missing post and postun

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 18 2007 Anssi Hannula <anssi@mandriva.org> 2.0.2-1mdv2008.0
+ Revision: 65656
- initial Mandriva release

